/**
 *  Learnville Street Room
 *  @author Drakkos
 *  @started 08/10/2008
 *
 *  If you change this file, please also update it in LPC for Dummies.
 *
 */

#include "path.h"

inherit "/std/room/outside";

void setup() {
  set_short ("northeast corner of the marketplace");
  add_property ("determinate", "the ");
   
  set_long ("This is a skeleton room.\n");

  set_light (100);
 
  add_zone ("learnville"); 

  add_exit ("south", ROOMS + "market_southeast", "path");
  add_exit ("west", ROOMS + "market_northwest", "path");
  add_exit ("southwest", ROOMS + "market_southwest", "path");

  // We use this to remove an exit from the list of obvious exits 
  // in a room.  In this case, although the southwest exit still 
  // exists, it won't be listed as an exit.
  modify_exit ("southwest", ({"obvious", 0}));

  // We use the linker to allow the movement of someone on a 
  // different part of the area to be reported to people in 
  // this room.  It gives a more 'busy' feel to an area.  When 
  // choosing the rooms to add to the linker we add every room
  // that should be part of the area, except the room in which 
  // we're adding the code.  
  set_linker ( ({ 
    ROOMS + "market_northwest",
    ROOMS + "market_southwest",
    ROOMS + "market_southeast",
  }) );

}
